# m3e/collapsible

Collapsible is a container used to expand and collapse content.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Collapsible

opaque </>

Collapsible is a View Model for this component

## Fields:

- open: Whether content is visible.

    pub opaque type Collapsible

## Open

</>

Open is whether content is visible.

    pub type Open {
      IsOpen
      IsNotOpen
    }

### Constructors

-     IsOpen

-     IsNotOpen

# Values

## default_open

</>

    pub const default_open: Open

## new

</>

    pub fn new(open: Open) -> Collapsible

new creates a new Collapsible with the default configuration.

## open

</>

    pub fn open(arg: Collapsible, open: Open) -> Collapsible

open sets the value of open for this Collapsible.

## render

</>

    pub fn render(
      model: Collapsible,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a Collapsible

✨